---
layout: docs
title: Resources
prev_section: sites
next_section: upgrading
permalink: /docs/resources/
---

Jekyll’s growing use is producing a wide variety of tutorials, frameworks, extensions, examples, and other resources that can be very helpful. Below is a collection of links to some of the most popular Jekyll resources.

### Jekyll tips & tricks, and examples

- [Tips for working with GitHub Pages Integration](https://gist.github.com/2890453)

  Code example reuse, and keeping documentation up to date.

- [Use Simple Form to integrate a simple contact
  form](http://getsimpleform.com/)
- [JekyllBootstrap.com](http://jekyllbootstrap.com)

  Provides detailed explanations, examples, and helper-code to make
  getting started with Jekyll easier.

### Tutorials

#### Integrating Jekyll with Git

- [Blogging with Git, Emacs and Jekyll](http://metajack.im/2009/01/23/blogging-with-git-emacs-and-jekyll/)

#### Other hacks

- [Integrating Twitter with Jekyll](http://www.justkez.com/integrating-twitter-with-jekyll/)
  > “Having migrated Justkez.com to be based on Jekyll, I was pondering how I might include my recent twitterings on the front page of the site. In the Wordpress world, this would have been done via a plugin which may or may not have hung the loading of the page, might have employed caching, but would certainly have had some overheads. … Not in Jekyll.”
- [‘My Jekyll Fork’, by Mike West](http://mikewest.org/2009/11/my-jekyll-fork)
  > “Jekyll is a well-architected throwback to a time before Wordpress, when men were men, and HTML was static. I like the ideas it espouses, and have made a few improvements to it’s core. Here, I’ll point out some highlights of my fork in the hopes that they see usage beyond this site.”
- [‘About this Website’, by Carter Allen](http://cartera.me/2010/08/12/about-this-website/)
  > “Jekyll is everything that I ever wanted in a blogging engine. Really. It isn’t perfect, but what’s excellent about it is that if there’s something wrong, I know exactly how it works and how to fix it. It runs on the your machine only, and is essentially an added”build" step between you and the browser. I coded this entire site in TextMate using standard HTML5 and CSS3, and then at the end I added just a few little variables to the markup. Presto-chango, my site is built and I am at peace with the world.”
- [Generating a Tag Cloud in Jekyll](http://www.justkez.com/generating-a-tag-cloud-in-jekyll/)

  A guide to implementing a tag cloud and per-tag content pages using Jekyll.

- [Jekyll Extensions -= Pain](http://rfelix.com/2010/01/19/jekyll-extensions-minus-equal-pain/)

  A way to [extend Jekyll](http://github.com/rfelix/jekyll_ext) without forking and modifying the Jekyll gem codebase and some [portable Jekyll extensions](http://wiki.github.com/rfelix/jekyll_ext/extensions) that can be reused and shared.

- [Using your Rails layouts in Jekyll](http://numbers.brighterplanet.com/2010/08/09/sharing-rails-views-with-jekyll)
